Bug 49774 - admin webapp breaking https configuration when using tomcat-native libs
admin webapp breaking https configuration when using tomcat-native libs
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Administration
5.5.28
All All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-08-18 08:24 UTC by akostadinov
Modified: 2010-09-03 12:40 UTC (History)
0 users



Attachments
Patch to add APR-SSL support to admin app (35.82 KB, application/octet-stream)
2010-08-27 17:17 UTC, Mark Thomas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description akostadinov 2010-08-18 08:24:04 UTC
The most serious issue I see is that the admin application is eating the https connector configuration directives when using the tomcat-native libraries:
               SSLCertificateFile="host.crt"
               SSLCertificateKeyFile="host.key"
               SSLPassword="sdfsdf"
Comment 1 Mark Thomas 2010-08-27 17:17:47 UTC
Created attachment 25954 [details]
Patch to add APR-SSL support to admin app
Comment 2 Mark Thomas 2010-08-27 17:19:21 UTC
I have proposed the patch for 5.5.x
Comment 3 Mark Thomas 2010-09-03 12:40:31 UTC
The patch has been applied and will be included in 5.5.31 onwards.